// C++ code
//
#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
 #include <avr/power.h> // Required for 16 MHz Adafruit Trinket
#endif

#define LED_PIN    4

// How many NeoPixels are attached to the Arduino?
#define LED_COUNT 9

Adafruit_NeoPixel strip(LED_COUNT, LED_PIN, NEO_GRB + NEO_KHZ800);
int delayval = 100;

int sensorVal = 0;
void setup()
{
  strip.begin();
  Serial.begin(9600);
  pinMode(A0, INPUT); // initializes pin connected to phototransistor
}

void loop(){
  sensorVal = analogRead(A0); 
  Serial.println(sensorVal);
  //if (sensorVal>900) {
  strip.setBrightness(sensorVal/4.5);
 // Serial.println("darkish");
   for (int i=0; i<LED_COUNT; i++) {
    strip.setPixelColor(i, strip.Color(240, 66, 96));
    strip.show();
    delay(delayval);
    }
   	
}